
Drupal.behaviors.hosting_platform_pathauto = function() {

  // Export form machine-readable JS
  // Adapted from feeds_ui.admin.inc
  $('.platform-name:not(.processed)').each(function() {
    $('.platform-name')
      .addClass('processed')
      .after(' <small class="platform-path-suffix">&nbsp;</small>');
    if ($('.platform-path').val() === $('.platform-name').val().toLowerCase().replace(/[!\W\-]/, '-') || $('.platform-path').val() === '') {
      $('.platform-path').parents('.form-item').hide();
      $('.platform-name').keyup(function() {
        var machine = $(this).val().toLowerCase().replace(/[!\W\-]/, '-');
        if (machine !== '_' && machine !== '') {
          var base_path = $('#edit-publish-base-path').val();
          machine = base_path + machine;
          $('.platform-path').val(machine);
          $('.platform-path-suffix').empty().append(' Path: ' + machine + ' [').append($('<a href="#">'+ Drupal.t('Edit') +'</a>').click(function() {
            $('.platform-path').parents('.form-item').show();
            $('.platform-path-suffix').hide();
            $('.platform-name').unbind('keyup');
            return false;
          })).append(']');
        }
        else {
          $('.platform-path').val(machine);
          $('.platform-path-suffix').text('');
        }
      });
      $('.platform-name').keyup();
    }
  });

};
